=== misc/CMakeLists.txt ===
add_subdirectory(dbus)
add_subdirectory(dconfig)
add_subdirectory(systemd)
add_subdirectory(wayland-sessions)
add_subdirectory(portal)
add_subdirectory(polkit-1)
add_subdirectory(cmake)
